.sociallargecardskeleton,
.socialsmallcardskeleton,
.socialheadertitleskeleton,
.socialsearchskeleton {
    animation: social-skeleton-loading 1s linear infinite alternate;
    border-radius: 8px;
}

@keyframes social-skeleton-loading {
    0% {
        background-color: rgb(230, 230, 230);
    }
    100% {
        background-color: rgb(245, 245, 245);
    }
}

.sociallargecardskeleton {
    width: 100%;
    height: 187px;
}

.socialsmallcardskeleton {
    width: calc(100% - 18px);
    height: 187px;
}

@media (max-width: 820px) {
    .sociallargecardskeleton,
    .socialsmallcardskeleton {
        height: 125px;
    }
}

.socialheadertitleskeleton {
    width: 220px;
    height: 32px;
}

.socialsearchskeleton {
    width: 47%;
    height: 40px;
    border-radius: 20px;
}

@media (max-width: 1024px) {
    .socialheadertitleskeleton {
        width: 180px;
    }
    .socialsearchskeleton {
        width: 100%;
    }
}

@media (max-width: 480px) {
    .socialheadertitleskeleton {
        display: none;
    }
}

/* DARK MODE */
.dark .sociallargecardskeleton,
.dark .socialsmallcardskeleton,
.dark .socialheadertitleskeleton,
.dark .socialsearchskeleton {
    animation: social-skeleton-loading-dark 1s linear infinite alternate;
}

@keyframes social-skeleton-loading-dark {
    0% {
        background-color: rgba(255, 255, 255, 0.1);
    }
    100% {
        background-color: rgba(255, 255, 255, 0.2);
    }
}
